#
# Functional Tests
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase

from Products.I18NFolder.tests.I18NFolderTestCase import \
     I18NFolderFunctionalTestCase


FILES = [
    'create_translation.txt',
    #'update_cookie.txt',
    'translate_edit.txt',
    'dynamic_view.txt',
    #'language_policies.txt'
]

    
def test_suite():
    from unittest import TestSuite, makeSuite
    from Testing.ZopeTestCase import FunctionalDocFileSuite
    suite = TestSuite()
    for doc_file in FILES:
        suite.addTest(FunctionalDocFileSuite(doc_file,
                      package='Products.I18NFolder.tests',
                      test_class=I18NFolderFunctionalTestCase))
    return suite

if __name__ == '__main__':
    framework(descriptions=1, verbosity=1)
